module EasyFormat
  module DateTime
    module_function

    def log_deprecation(namespace, method_name)
      EasyIO.logger.warn "#{namespace}.#{method_name} is deprecated! Use EasyTime.#{method_name} instead (require 'easy_time')!"
    end

    def yyyymmdd(date = Time.now)
      log_deprecation('EasyFormat::DateTime', __method__)
      date = ::Time.parse(date) unless date.is_a?(Time)
      date.strftime('%Y%m%d')
    end

    def hhmmss(time = Time.now)
      log_deprecation('EasyFormat::DateTime', __method__)
      time = ::Time.parse(time) unless time.is_a?(Time)
      time.strftime('%H%M%S')
    end

    def yyyymmdd_hhmmss(date_and_time = Time.now)
      log_deprecation('EasyFormat::DateTime', __method__)
      date_and_time = ::Time.parse(date_and_time) unless date_and_time.is_a?(Time)
      date_and_time.strftime('%Y%m%d_%H%M%S')
    end
  end
end
